|  | Home · All Classes · Modules

# QDomText Class Reference
[QtXml module]

The QDomText class represents text data in the parsed XML document. More...

Inherits QDomCharacterData.

Inherited by QDomCDATASection.

### Methods

- __init__ (self)
- __init__ (self, QDomText)
- QDomNode.NodeType nodeType (self)
- QDomText splitText (self, int)

## Detailed Description

The QDomText class represents text data in the parsed XML document.

You can split the text in a QDomText object over two QDomText objecs with splitText().

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomText.__init__ (self)

Constructs an empty QDomText object.

To construct a QDomText with content, use QDomDocument.createTextNode().

### QDomText.__init__ (self, QDomText)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode.NodeType QDomText.nodeType (self)

Returns `TextNode`.

### QDomText QDomText.splitText (self, int)

Splits this DOM text object into two QDomText objects. This object keeps its first offset characters and the second (newly created) object is inserted into the document tree after this object with the remaining characters.

The function returns the newly created object.

See also QDomNode.normalize().